-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 54 of the CMF schema. Migration code to be applied on top of the
-- previous version.
--

update SCHEMA_VERSION set VERSION=54;

--
-- Modifications to allow for tracking of config generations as part of each
-- host.
--

--
-- Create a new column in HOSTS to store config generation
--
alter table HOSTS
      add column CONFIG_GENERATION bigint;

--
-- Update each existing host to have a config generation of 0
--
update HOSTS
      set CONFIG_GENERATION = 0;

--
-- Turn on the not null constraint on the new column
--
alter table HOSTS
      modify column CONFIG_GENERATION bigint not null;
